Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.seam.ui.component.html
Enum HtmlDownload.Properties

    java.lang.Object
      java.lang.Enum<HtmlDownload.Properties>
          org.jboss.seam.ui.component.html.HtmlDownload.Properties

All Implemented Interfaces:
  Serializable, Comparable<HtmlDownload.Properties>

Enclosing class:
  HtmlDownload

    protected static enum HtmlDownload.Properties

extends Enum<HtmlDownload.Properties>

Enum Constant Summary
`accesskey`
`actionExpression`
`actionListener`
`conversationName`
`dir`
`disabled`
`fragment`
`immediate`
`includePageParams`
`lang`
`outcome`
`pageflow`
`propagation`
`src`
`style`
`styleClass`
`taskInstance`
`title`
`view`

Method Summary
`static HtmlDownload.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static HtmlDownload.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### accesskey

    public static final HtmlDownload.Properties accesskey

### actionExpression

    public static final HtmlDownload.Properties actionExpression

### actionListener

    public static final HtmlDownload.Properties actionListener

### conversationName

    public static final HtmlDownload.Properties conversationName

### dir

    public static final HtmlDownload.Properties dir

### disabled

    public static final HtmlDownload.Properties disabled

### fragment

    public static final HtmlDownload.Properties fragment

### immediate

    public static final HtmlDownload.Properties immediate

### includePageParams

    public static final HtmlDownload.Properties includePageParams

### lang

    public static final HtmlDownload.Properties lang

### outcome

    public static final HtmlDownload.Properties outcome

### pageflow

    public static final HtmlDownload.Properties pageflow

### propagation

    public static final HtmlDownload.Properties propagation

### src

    public static final HtmlDownload.Properties src

### style

    public static final HtmlDownload.Properties style

### styleClass

    public static final HtmlDownload.Properties styleClass

### taskInstance

    public static final HtmlDownload.Properties taskInstance

### title

    public static final HtmlDownload.Properties title

### view

    public static final HtmlDownload.Properties view

Method Detail

### values

    public static HtmlDownload.Properties[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HtmlDownload.Properties c : HtmlDownload.Properties.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HtmlDownload.Properties valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.